#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SH1106.h>
#include <Fonts/FreeSans9pt7b.h>
#include <Fonts/FreeSerif9pt7b.h>
#include <Fonts/FreeMono9pt7b.h>
#include <Fonts/FreeSans24pt7b.h>
#include <Fonts/FreeSerif24pt7b.h>
#include <Fonts/FreeMono24pt7b.h>

Adafruit_SH1106 wysw(-1);

void setup()   {
  wysw.begin(SH1106_SWITCHCAPVCC, 0x3C);
  wysw.display();   delay(1000); //logo
  wysw.setTextColor(1, 0);
}
void loop() {
  wysw.clearDisplay(); //czyść
  wysw.setCursor(0, 10); // kursor
  wysw.setFont(&FreeSans9pt7b);
  wysw.println("font Sans 9");
  wysw.setFont(&FreeSerif9pt7b);
  wysw.println("font Serif 9");
  wysw.setFont(&FreeMono9pt7b);
  wysw.println("font Mono 9");
  wysw.display(); // wyświetl
  delay(3000); // przez trzy sekundy
  wysw.clearDisplay(); //czyść ekran
  wysw.setFont(&FreeSans24pt7b); //font
  wysw.setCursor(0, 45); //kursor
  wysw.print("sans");
  wysw.display(); // wyświetl
  delay(2000);
  wysw.clearDisplay(); //czyść ekran
  wysw.setFont(&FreeSerif24pt7b);
  wysw.setCursor(0, 45); // kursor
  wysw.print("Serif");
  wysw.display(); // wyświetl
  delay(2000);
  wysw.clearDisplay(); //czyść ekran
  wysw.setFont(&FreeMono24pt7b);
  wysw.setCursor(0, 45); // kursor
  wysw.print("Mono");
  wysw.display(); // wyświetl
  delay(2000);
}
